Bug 243772 - syslog-ng breaks first boot after install
syslog-ng breaks first boot after install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 15:55 EDT by Bruno Wolff III
Modified: 2008-06-16 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2007-06-11 15:55:47 EDT
Description of problem:
If I include syslog-ng (which brings in eventlog) in a Fedora 7 DVD install, it
will not boot after the install. However, if I install syslog-ng and eventlog
after booting into F7 then there doesn't seem to be a problem with boots after that.

Version-Release number of selected component (if applicable):
syslog-ng-2.0.3-1.fc7
eventlog-0.2.5-6.fc7

How reproducible:
100%

Steps to Reproduce:
1. Do a DVD install of F7 selecting syslog-ng
2.
3.
  
Actual results:
Trying to resume from /dev/md2
Unable to access resume device (/dev/md2)
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other file systems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Switching to new root and mounting init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory
Booting has failed.
Kernel panic - not syncing: Attempted to kill init!

Expected results:
Successful boot

Additional info:
/dev/md2 is a swap raid array being used for a FC5 instance.
For the install, / was mounted on /dev/md5 and /boot was mounted on /dev/md0.
The symptoms of this problem are mentioned in bug 238380, though it isn't clear
the cause of other people's problems are the same as mine.

When trying to narrow this down, I did a lot of installs. Doing a customize now
and unselecting everything except system tools and including only the optional
package syslog-ng resulted in having the problem on first boot. Selecting all
optional packages in all categories except for syslog-ng did not result in a
problem on first boot.
Comment 1 Jose Pedro Oliveira 2007-06-11 22:03:07 EDT
The only thing odd I can remember is that both sysklogd (the default syslog
daemon) and syslog-ng (sysklogd replacement that doesn't start by default) are
providing the pseudo-package "syslog".  Maybe this makes anaconda misbehave ...


sysklog specfile
----------------
...
Provides: syslog
...


syslog-ng specfile
------------------
...
#
# Keep initscripts and vixie-cron happy
#
Provides:         syslog
...

Comment 2 Jose Pedro Oliveira 2007-06-17 13:58:43 EDT
Peter,

Do you have any idea what's causing this problem?
Should I reassign this to anaconda?

jpo
Comment 3 Joel Andres Granados 2007-06-20 04:28:58 EDT
Ran some very simple installs (@Base + syslog-ng + eventlog) and I do not
experience the same behavior as expressed in the original bug report.  Maybe it
is related with some other packages.  Can you attach the kickstart file that the
installer puts in /root/anaconda-ks.cfg (Maybe if I have the exact same setup
package wise I'll get the error)
Comment 4 Bruno Wolff III 2007-06-20 09:50:36 EDT
It might take me a bit to get an install log as I am running F7 off that
partition now and can't just reinstall. I can't reuse the FC5 partition yet.
I have another machine I might be able to use, but it has crappy optical drives
and I have been having trouble reading CD-RWs.
I remember the number of packages in the minimal case as being just under 180.
I have an dual processor system, though I tried using CPUS=1 in some of my tests
to see if that was related to the problem and it didn't help.
Software raid may be another important aspect. /boot and / were different
partitions, both using software raid.
Also it appears that firstboot is also somehow related to this, as installing
syslog-ng after firstboot didn't result in a problem.
Comment 5 Douglas E. Warner 2008-02-22 22:34:36 EST
Is this still a problem that we need to look into?
Comment 6 Bruno Wolff III 2008-02-23 09:41:05 EST
I think this is pretty much moot. My intention was to close it when F7 was end
of lifed. I figured in case any one doing a fresh install ran accross the
problem it would be an easier bug to find.
I certainly wouldn't suggest putting research time into it. I'll leave it up to
you guys as to whether or not it is better to close the ticket now or wait until
F7 EOL.
Comment 7 Bug Zapper 2008-05-14 09:00:23 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:32:50 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.